Page MenuHomePhabricator

Pywikibot 2.0 should be Python 2.7, 3.3 and 3.4 only
Closed, ResolvedPublic

Description

This is sort of an RFC task:

We provide only limited support for Python 2.6, and due to dependencies packages dropping support for Python 2.6 fairly regularly (See T72987: Python 2.6 issues (tracking)), it would be wise to state that the stable 2.0 release of Pywikibot can only support 2.7+.

Also the fix for T102461: Python issue 10254 hasnt been backported 2.0.

Also, Python 3.5 and 3.6 are likely to have some unexpected surprises. See T106224: Python 3.5/3.6 compatibility.

Currently the 2.0 setup.py includes only 2.7 and 3.3 ; we should add 3.4, and lock that down as the official support matrix for that release.
(... and get out a v2.1 or v3.0 which includes 3.5 in its support matrix)

Details

Related Gerrit Patches:

Event Timeline

jayvdb created this task.Oct 2 2015, 6:34 AM
jayvdb raised the priority of this task from to High.
jayvdb updated the task description. (Show Details)
jayvdb added a project: Pywikibot.
jayvdb added a subscriber: jayvdb.
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptOct 2 2015, 6:34 AM
XZise added a subscriber: XZise.Oct 2 2015, 12:21 PM
XZise added a comment.Oct 2 2015, 12:40 PM

But at the moment it's mostly dependencies afaik. In my patches it's not like that we are unable to improve pywikibot without breaking 2.6 support. The only exception might be the argparse patch but there is a backport specifically for Python 2.6, so it's not like that dependency will drop support for Python 2.6.

Change 243161 had a related patch set uploaded (by John Vandenberg):
Remove Python 2.6 from the build matrix

https://gerrit.wikimedia.org/r/243161

Change 243161 merged by jenkins-bot:
Remove Python 2.6 from the build matrix

https://gerrit.wikimedia.org/r/243161

valhallasw closed this task as Resolved.Oct 2 2015, 9:44 PM
valhallasw claimed this task.
valhallasw added a parent task: T1315: Release 2.0.

After a year-long fight against Python 2.6 I finally realize you didn't need to be pushed :D

XZise reassigned this task from valhallasw to jayvdb.Oct 8 2015, 3:36 PM
jayvdb updated the task description. (Show Details)Oct 17 2015, 12:07 PM

Change 243349 had a related patch set uploaded (by John Vandenberg):
Desupport Python 2.6 for Pywikibot 2.0 release branch

https://gerrit.wikimedia.org/r/243349

Change 243349 merged by jenkins-bot:
Desupport Python 2.6 for Pywikibot 2.0 release branch

https://gerrit.wikimedia.org/r/243349